# Class SnpEffPredictorFactoryGff3

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff3

public class SnpEffPredictorFactoryGff3 extends SnpEffPredictorFactoryGff
This class creates a SnpEffectPredictor from a GFF3 file References: - http://www.sequenceontology.org/gff3.shtml - http://gmod.org/wiki/GFF3 - http://www.eu-sol.net/science/bioinformatics/standards-documents/gff3-format-description

Author:
  pcingola

## Field Summary

### Fields inherited from class SnpEffPredictorFactoryGff

`FASTA_DELIMITER`

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryGff3(Config config)`

## Method Summary

### Methods inherited from class SnpEffPredictorFactoryGff

`addExon, addExons, addGene, addGene, addIntergenicConserved, addInterval, addIntronConserved, addUtr3, addUtr5, create, findOrCreateExon, findOrCreateGene, findOrCreateTranscript, parse, readExonSequences, readExonSequencesGff, readGff`

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffPredictorFactoryGff3

public SnpEffPredictorFactoryGff3(Config config)